#include<iostream>
#include<cmath>
using namespace std;
int main(){
int N;
cin>>N;
int X[N], Y[N], out=0;
for(int i=0;i<N;i++){
    cin>>X[i]>>Y[i];
}
int temp,t;
int i=0;
while(i<N){
    int a=0;
    while(a<i){
        temp=fabs(X[i]-X[a]);
        t=fabs(Y[i]-Y[a]);
        out+=pow(temp,2)+pow(t,2);
        a++;
    }
    i++;
}
cout<<out;
return 0;
}
